import request from '@/utils/request'

//校验项目编码是否存在
export function checkProjectCodeExist (data) {
  return request({
    url: '/cbProjectRecord/checkProjectCodeExist/'+data,
    method: 'get',
  })
}
//新增项目
export function addProject (data) {
  return request({
    url: '/cbProjectRecord/addProject',
    method: 'post',
    data:data,
  })
}
//获取当前项目文件上传
export function getProjectFileUploadDetail (projectId) {
  return request({
    url: '/cbProjectFile/getProjectFileUploadDetail/'+projectId,
    method: 'get',
  })
}

//获取草稿箱列表
export function getDraftDialogList (projectId) {
  return request({
    url: '/cbProjectRecord/getDraftDialogList',
    method: 'get',
  })
}
